package com.hs.api.service.Impl;

import com.hs.api.common.enums.DimType;
import com.hs.api.mapper.DicDimMapper;
import com.hs.api.mapper.SerDimValueMapper;
import com.hs.api.mapper.SerPageBlockRsMapper;
import com.hs.api.mapper.SysLoginConfigMapper;
import com.hs.api.model.DicDim;
import com.hs.api.model.SerDimValue;
import com.hs.api.model.SysConfig;
import com.hs.api.model.respmodel.DimValue;
import com.hs.api.service.DicDimService;
import com.hs.api.service.SysConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class SysConfigServiceImpl implements SysConfigService {
    @Resource
    private SysLoginConfigMapper sysLoginConfigMapper;

    @Override
    public boolean getSysConfigStateByKey(String key) {
        List<SysConfig> sysConfigList = sysLoginConfigMapper.selectByKey(key);
        SysConfig sysConfig = sysConfigList.get(0);
        return sysConfig.getState();
    }

}
